<?php

require_once 'vendor/autoload.php'; 
require_once 'model/MongoDBConnection.php';

class BenhAn{

    private $collection;
    
    // Constructor để lấy collection 'benh_an'
    public function __construct() {
        // Lấy kết nối MongoDB
        $mongoDB = MongoDBConnection::getInstance();
        $this->collection = $mongoDB->getCollection('benh_an');
    }


    public function addBenhAn($data){
        $insertResult = $this->collection->insertOne($data);
        return $insertResult->getInsertedId(); 
    }

    // Read all: Lấy danh sách tất cả bệnh án
    public function getAllBenhAn() {
        $cursor = $this->collection->find();
        return iterator_to_array($cursor); // Chuyển kết quả tìm kiếm thành mảng
    }

    
    
}

?>